LimitIterator
LimitIterator::current
LimitIterator
PHP Manual

# LimitIterator::__construct

(PHP 5 >= 5.1.0)

LimitIterator::__construct — Construct a LimitIterator

### Description

public LimitIterator::__construct ( Iterator `$iterator` [, int `$offset` = 0 [, int `$count` = -1 ]] )

Constructs a new LimitIterator from an `iterator` with a given starting `offset` and maximum `count`.

### Parameters

`iterator`

  The Iterator to limit.

`offset`

  Optional offset of the limit.

`count`

  Optional count of the limit.

### Return Values

The new LimitIterator.

### Errors/Exceptions

Throws an OutOfRangeException if the `offset` is less than 0 or the `count` is less than -1.

### Examples

Example #1 LimitIterator::__construct() example

`<?php
$ait = new ArrayIterator(array('a', 'b', 'c', 'd', 'e'));
$lit = new LimitIterator($ait, 1, 3);
foreach ($lit as $value) {
echo $value . "\n";
}
?>`

The above example will output:

    b
    c
    d

### See Also

- LimitIterator examples

LimitIterator
LimitIterator::current
LimitIterator
PHP Manual